## class SG_EXPORT Extensions

> Extensions class which encapsulates the querring of extensions and associated function pointers, and provide convinience wrappers to check for the extensions or use the associated functions

## Inheritance:

### Public Methods

Extensions()
Extensions(const Extensions& rhs)
void lowestCommonDenominator(const Extensions& rhs)
void setupGLExtenions()
void setFragmentProgramSupported(bool flag)
bool isFragmentProgramSupported() const
void glBindProgram(GLenum target, GLuint id) const
void glGenPrograms(GLsizei n, GLuint* programs) const
void glDeletePrograms(GLsizei n, GLuint* programs) const
void glProgramString(GLenum target, GLenum format, GLsizei len, const void* string) const
void glProgramLocalParameter4fv(GLenum target, GLuint index, const GLfloat* params) const

### Protected Fields

bool _isFragmentProgramSupported
void* _glBindProgram
void* _glGenPrograms
void* _glDeletePrograms
void* _glProgramString
void* _glProgramLocalParameter4fv

### Protected Methods

~Extensions()

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> Extensions class which encapsulates the querring of extensions and associated function pointers, and provide convinience wrappers to check for the extensions or use the associated functions

`Extensions()`

`Extensions(const Extensions& rhs)`

`void lowestCommonDenominator(const Extensions& rhs)`

`void setupGLExtenions()`

`void setFragmentProgramSupported(bool flag)`

`bool isFragmentProgramSupported() const`

`void glBindProgram(GLenum target, GLuint id) const`

`void glGenPrograms(GLsizei n, GLuint* programs) const`

`void glDeletePrograms(GLsizei n, GLuint* programs) const`

`void glProgramString(GLenum target, GLenum format, GLsizei len, const void* string) const`

`void glProgramLocalParameter4fv(GLenum target, GLuint index, const GLfloat* params) const`

`~Extensions()`

`bool _isFragmentProgramSupported`

`void* _glBindProgram`

`void* _glGenPrograms`

`void* _glDeletePrograms`

`void* _glProgramString`

`void* _glProgramLocalParameter4fv`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.